# class K3Icon

###

Module | kdeui
Namespace |
Class | K3Icon
Inherits |

Internal One icon as found by KIconTheme. Also serves as a namespace containing icon related constants. You should not use this class externally. This class is exported because the KCM needs it.

### methods

- K3Icon ( )

  returns ctor

- isValid ( )

  returns bool

### variables

Context context |
QString path |
int size |
int threshold |
Type type |